Package com.ngrok.services

# Class TunnelGroupBackends

java.lang.Object
com.ngrok.services.TunnelGroupBackends

public class TunnelGroupBackends extends Object
A Tunnel Group Backend balances traffic among all online tunnels that match a label selector. See also https://ngrok.com/docs/api#api-tunnel-group-backends.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `TunnelGroupBackends.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `TunnelGroupBackends.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `TunnelGroupBackends.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `TunnelGroupBackends.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `TunnelGroupBackends.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TunnelGroupBackends(NgrokApiClient apiClient)`
  Creates a new sub-client for TunnelGroupBackends.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TunnelGroupBackends.CreateCallBuilder`
  `create()`
  Create a new TunnelGroup backend See also https://ngrok.com/docs/api#api-tunnel-group-backends-create.
  `TunnelGroupBackends.DeleteCallBuilder`
  `delete(String id)`
  Delete a TunnelGroup backend by ID.
  `TunnelGroupBackends.GetCallBuilder`
  `get(String id)`
  Get detailed information about a TunnelGroup backend by ID See also https://ngrok.com/docs/api#api-tunnel-group-backends-get.
  `TunnelGroupBackends.ListCallBuilder`
  `list()`
  List all TunnelGroup backends on this account See also https://ngrok.com/docs/api#api-tunnel-group-backends-list.
  `TunnelGroupBackends.UpdateCallBuilder`
  `update(String id)`
  Update TunnelGroup backend by ID See also https://ngrok.com/docs/api#api-tunnel-group-backends-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TunnelGroupBackends

    public TunnelGroupBackends(NgrokApiClient apiClient)
    Creates a new sub-client for TunnelGroupBackends.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public TunnelGroupBackends.CreateCallBuilder create()
    Create a new TunnelGroup backend See also https://ngrok.com/docs/api#api-tunnel-group-backends-create.
    Returns:
      a call builder for this API call

  - ### delete

    public TunnelGroupBackends.DeleteCallBuilder delete(String id)
    Delete a TunnelGroup backend by ID. See also https://ngrok.com/docs/api#api-tunnel-group-backends-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public TunnelGroupBackends.GetCallBuilder get(String id)
    Get detailed information about a TunnelGroup backend by ID See also https://ngrok.com/docs/api#api-tunnel-group-backends-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public TunnelGroupBackends.ListCallBuilder list()
    List all TunnelGroup backends on this account See also https://ngrok.com/docs/api#api-tunnel-group-backends-list.
    Returns:
      a call builder for this API call

  - ### update

    public TunnelGroupBackends.UpdateCallBuilder update(String id)
    Update TunnelGroup backend by ID See also https://ngrok.com/docs/api#api-tunnel-group-backends-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call